import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.File;

public class CompareImages
{
  public static void usage()
  {
    System.out.println("Usage: java CompareImages img1_filename img2_filenmae");
  }

  public static void main(String argv[])
  {
    if (argv.length != 2)
    {
      usage();
      return;
    }
    BufferedImage img1, img2;
    img1 = null;
    img2 = null;
    try
    {
      img1 =  ImageIO.read(new File(argv[0]));
      img2 =  ImageIO.read(new File(argv[1]));
    }catch (Exception e)
    {
      System.out.println(e);
      return;
    }
    
    if (img1.getWidth() != img2.getWidth() || img1.getHeight() != img2.getHeight())
    {
      System.out.println("Images don't share the same dimension!");
      return;
    }
    for (int i = 0; i < img1.getWidth(); i++)
    {
      for (int j = 0; j < img1.getHeight(); j++)
      {
	if (img1.getRGB(i,j) != img2.getRGB(i,j))
	{
	  System.out.println("Images do no match");
	  return;
	}
      }
    }
    System.out.println("Images match");
  }
}